# Identity class

## Constructors

Identity ({required String category, required String type, String? name, String? lang})
  const

## Properties

category → String
  final
hashCode → int
  The hash code for this object.
  no setterinherited
lang → String?
  final
name → String?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
type → String
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXMLNode () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited